# Uses of Class
javafx.scene.input.InputMethodEvent

Packages that use InputMethodEvent
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of InputMethodEvent in javafx.scene

Methods in javafx.scene that return types with arguments of type InputMethodEvent
Modifier and Type
Method
Description
`final EventHandler<? super InputMethodEvent>`
Node.`getOnInputMethodTextChanged()`
Gets the value of the `onInputMethodTextChanged` property.
`final EventHandler<? super InputMethodEvent>`
Scene.`getOnInputMethodTextChanged()`
Gets the value of the `onInputMethodTextChanged` property.
`final ObjectProperty<EventHandler<? super InputMethodEvent>>`
Node.`onInputMethodTextChangedProperty()`
Defines a function to be called when this `Node` has input focus and the input method text has changed.
`final ObjectProperty<EventHandler<? super InputMethodEvent>>`
Scene.`onInputMethodTextChangedProperty()`
Defines a function to be called when this `Node` has input focus and the input method text has changed.
Method parameters in javafx.scene with type arguments of type InputMethodEvent
Modifier and Type
Method
Description
`final void`
Node.`setOnInputMethodTextChanged(EventHandler<? super InputMethodEvent> value)`
Sets the value of the `onInputMethodTextChanged` property.
`final void`
Scene.`setOnInputMethodTextChanged(EventHandler<? super InputMethodEvent> value)`
Sets the value of the `onInputMethodTextChanged` property.

## Uses of InputMethodEvent in javafx.scene.control.skin

Methods in javafx.scene.control.skin with parameters of type InputMethodEvent
Modifier and Type
Method
Description
`protected void`
TextInputControlSkin.`handleInputMethodEvent(InputMethodEvent event)`

## Uses of InputMethodEvent in javafx.scene.input

Fields in javafx.scene.input with type parameters of type InputMethodEvent
Modifier and Type
Field
Description
`static final EventType<InputMethodEvent>`
InputMethodEvent.`ANY`
Common supertype for all input method event types.
`static final EventType<InputMethodEvent>`
InputMethodEvent.`INPUT_METHOD_TEXT_CHANGED`
The only valid EventType for the InputMethodEvent.
Methods in javafx.scene.input that return InputMethodEvent
Modifier and Type
Method
Description
`InputMethodEvent`
InputMethodEvent.`copyFor(Object newSource, EventTarget newTarget)`
Methods in javafx.scene.input that return types with arguments of type InputMethodEvent
Modifier and Type
Method
Description
`EventType<InputMethodEvent>`
InputMethodEvent.`getEventType()`
Constructor parameters in javafx.scene.input with type arguments of type InputMethodEvent
Modifier
Constructor
Description
``
`InputMethodEvent(Object source, EventTarget target, EventType<InputMethodEvent> eventType, List<InputMethodTextRun> composed, String committed, int caretPosition)`
Constructs new InputMethodEvent event.
``
`InputMethodEvent(EventType<InputMethodEvent> eventType, List<InputMethodTextRun> composed, String committed, int caretPosition)`
Constructs new InputMethodEvent event with empty source and target.